﻿[data-theme="dark"] {
	background-color: #111 !important;
	color: #eee;
}

	[data-theme="dark"] .bg-light {
		background-color: #333 !important;
	}

	[data-theme="dark"] .bg-white {
		background-color: #000 !important;
	}

	[data-theme="dark"] .bg-black {
		background-color: #eee !important;
	}

	[data-theme="dark"] .jumbotron {
		background-color: #303030 !important;
	}

	[data-theme="dark"] .footer {
		background-color: #303030 !important;
	}

	[data-theme="dark"] .modal-content {
		background-color: #303030 !important;
		border: 1px solid #444 !important;
	}

	[data-theme="dark"] .modal-header {
		border-bottom: 1px solid #444 !important;
	}

	[data-theme="dark"] .modal-footer {
		border-top: 1px solid #444 !important;
	}

	[data-theme="dark"] .panel {
		background-color: #303030;
	}

	[data-theme="dark"] .panel-body {
		background-color: #303030 !important;
	}

	[data-theme="dark"] .panel-heading {
		border-bottom: 1px solid transparent;
	}

		[data-theme="dark"] .panel-heading > .dropdown .dropdown-toggle {
			color: inherit;
		}

	[data-theme="dark"] .panel-title {
		color: inherit;
	}

	[data-theme="dark"] .panel-footer {
		background-color: #464545;
		border-top: 1px solid #464545;
	}

	[data-theme="dark"] .panel-default {
		border-color: #464545;
	}

		[data-theme="dark"] .panel-default > .panel-heading {
			color: #ffffff;
			background-color: #303030;
			border-color: #464545;
		}

			[data-theme="dark"] .panel-default > .panel-heading + .panel-collapse > .panel-body {
				border-top-color: #464545;
			}

			[data-theme="dark"] .panel-default > .panel-heading .badge {
				color: #303030;
				background-color: #ffffff;
			}

		[data-theme="dark"] .panel-default > .panel-footer + .panel-collapse > .panel-body {
			border-bottom-color: #464545;
		}

	[data-theme="dark"] .alert h4 {
		color: inherit;
	}

	[data-theme="dark"] .alert .alert-link {
		font-weight: bold;
	}

	[data-theme="dark"] .alert-dismissable .close,
	[data-theme="dark"] .alert-dismissible .close {
		color: inherit;
	}

	[data-theme="dark"] .alert-success {
		color: #ffffff;
		background-color: #00bc8c;
		border-color: #00bc8c;
	}

		[data-theme="dark"] .alert-success hr {
			border-top-color: #00a379;
		}

		[data-theme="dark"] .alert-success .alert-link {
			color: #e6e6e6;
		}

	[data-theme="dark"] .alert-info {
		color: #ffffff;
		background-color: #3498db;
		border-color: #3498db;
	}

		[data-theme="dark"] .alert-info hr {
			border-top-color: #258cd1;
		}

		[data-theme="dark"] .alert-info .alert-link {
			color: #e6e6e6;
		}

	[data-theme="dark"] .alert-warning {
		color: #ffffff;
		background-color: #f39c12;
		border-color: #f39c12;
	}

		[data-theme="dark"] .alert-warning hr {
			border-top-color: #e08e0b;
		}

		[data-theme="dark"] .alert-warning .alert-link {
			color: #e6e6e6;
		}

	[data-theme="dark"] .alert-danger {
		color: #ffffff;
		background-color: #e74c3c;
		border-color: #e74c3c;
	}

		[data-theme="dark"] .alert-danger hr {
			border-top-color: #e43725;
		}

		[data-theme="dark"] .alert-danger .alert-link {
			color: #e6e6e6;
		}

	[data-theme="dark"] .well {
		background-color: #303030;
		border: 1px solid transparent;
	}

		[data-theme="dark"] .well blockquote {
			border-color: #ddd;
			border-color: rgba(0, 0, 0, 0.15);
		}

	[data-theme="dark"] table {
		background-color: transparent;
	}

	[data-theme="dark"] caption {
		color: #999999;
	}

	[data-theme="dark"] .table > thead > tr > th,
	[data-theme="dark"] .table > tbody > tr > th,
	[data-theme="dark"] .table > tfoot > tr > th,
	[data-theme="dark"] .table > thead > tr > td,
	[data-theme="dark"] .table > tbody > tr > td,
	[data-theme="dark"] .table > tfoot > tr > td {
		border-top: 1px solid #464545;
	}

	[data-theme="dark"] .table > thead > tr > th {
		border-bottom: 2px solid #464545;
	}

	[data-theme="dark"] .table > tbody + tbody {
		border-top: 2px solid #464545;
	}

	[data-theme="dark"] .table .table {
		background-color: #222222;
	}

	[data-theme="dark"] .table-bordered {
		border: 1px solid #464545;
	}

		[data-theme="dark"] .table-bordered > thead > tr > th,
		[data-theme="dark"] .table-bordered > tbody > tr > th,
		[data-theme="dark"] .table-bordered > tfoot > tr > th,
		[data-theme="dark"] .table-bordered > thead > tr > td,
		[data-theme="dark"] .table-bordered > tbody > tr > td,
		[data-theme="dark"] .table-bordered > tfoot > tr > td {
			border: 1px solid #464545;
		}

	[data-theme="dark"] .table-striped > tbody > tr:nth-of-type(odd) {
		background-color: #3d3d3d;
	}

	[data-theme="dark"] .table-hover > tbody > tr:hover {
		background-color: #464545;
	}

	[data-theme="dark"] .table > thead > tr > td.active,
	[data-theme="dark"] .table > tbody > tr > td.active,
	[data-theme="dark"] .table > tfoot > tr > td.active,
	[data-theme="dark"] .table > thead > tr > th.active,
	[data-theme="dark"] .table > tbody > tr > th.active,
	[data-theme="dark"] .table > tfoot > tr > th.active,
	[data-theme="dark"] .table > thead > tr.active > td,
	[data-theme="dark"] .table > tbody > tr.active > td,
	[data-theme="dark"] .table > tfoot > tr.active > td,
	[data-theme="dark"] .table > thead > tr.active > th,
	[data-theme="dark"] .table > tbody > tr.active > th,
	[data-theme="dark"] .table > tfoot > tr.active > th {
		background-color: #464545;
	}

	[data-theme="dark"] .table-hover > tbody > tr > td.active:hover,
	[data-theme="dark"] .table-hover > tbody > tr > th.active:hover,
	[data-theme="dark"] .table-hover > tbody > tr.active:hover > td,
	[data-theme="dark"] .table-hover > tbody > tr:hover > .active,
	[data-theme="dark"] .table-hover > tbody > tr.active:hover > th {
		background-color: #393838;
	}

	[data-theme="dark"] .table > thead > tr > td.success,
	[data-theme="dark"] .table > tbody > tr > td.success,
	[data-theme="dark"] .table > tfoot > tr > td.success,
	[data-theme="dark"] .table > thead > tr > th.success,
	[data-theme="dark"] .table > tbody > tr > th.success,
	[data-theme="dark"] .table > tfoot > tr > th.success,
	[data-theme="dark"] .table > thead > tr.success > td,
	[data-theme="dark"] .table > tbody > tr.success > td,
	[data-theme="dark"] .table > tfoot > tr.success > td,
	[data-theme="dark"] .table > thead > tr.success > th,
	[data-theme="dark"] .table > tbody > tr.success > th,
	[data-theme="dark"] .table > tfoot > tr.success > th {
		background-color: #00bc8c;
	}

	[data-theme="dark"] .table-hover > tbody > tr > td.success:hover,
	[data-theme="dark"] .table-hover > tbody > tr > th.success:hover,
	[data-theme="dark"] .table-hover > tbody > tr.success:hover > td,
	[data-theme="dark"] .table-hover > tbody > tr:hover > .success,
	[data-theme="dark"] .table-hover > tbody > tr.success:hover > th {
		background-color: #00a379;
	}

	[data-theme="dark"] .table > thead > tr > td.info,
	[data-theme="dark"] .table > tbody > tr > td.info,
	[data-theme="dark"] .table > tfoot > tr > td.info,
	[data-theme="dark"] .table > thead > tr > th.info,
	[data-theme="dark"] .table > tbody > tr > th.info,
	[data-theme="dark"] .table > tfoot > tr > th.info,
	[data-theme="dark"] .table > thead > tr.info > td,
	[data-theme="dark"] .table > tbody > tr.info > td,
	[data-theme="dark"] .table > tfoot > tr.info > td,
	[data-theme="dark"] .table > thead > tr.info > th,
	[data-theme="dark"] .table > tbody > tr.info > th,
	[data-theme="dark"] .table > tfoot > tr.info > th {
		background-color: #3498db;
	}

	[data-theme="dark"] .table-hover > tbody > tr > td.info:hover,
	[data-theme="dark"] .table-hover > tbody > tr > th.info:hover,
	[data-theme="dark"] .table-hover > tbody > tr.info:hover > td,
	[data-theme="dark"] .table-hover > tbody > tr:hover > .info,
	[data-theme="dark"] .table-hover > tbody > tr.info:hover > th {
		background-color: #258cd1;
	}

	[data-theme="dark"] .table > thead > tr > td.warning,
	[data-theme="dark"] .table > tbody > tr > td.warning,
	[data-theme="dark"] .table > tfoot > tr > td.warning,
	[data-theme="dark"] .table > thead > tr > th.warning,
	[data-theme="dark"] .table > tbody > tr > th.warning,
	[data-theme="dark"] .table > tfoot > tr > th.warning,
	[data-theme="dark"] .table > thead > tr.warning > td,
	[data-theme="dark"] .table > tbody > tr.warning > td,
	[data-theme="dark"] .table > tfoot > tr.warning > td,
	[data-theme="dark"] .table > thead > tr.warning > th,
	[data-theme="dark"] .table > tbody > tr.warning > th,
	[data-theme="dark"] .table > tfoot > tr.warning > th {
		background-color: #f39c12;
	}

	[data-theme="dark"] .table-hover > tbody > tr > td.warning:hover,
	[data-theme="dark"] .table-hover > tbody > tr > th.warning:hover,
	[data-theme="dark"] .table-hover > tbody > tr.warning:hover > td,
	[data-theme="dark"] .table-hover > tbody > tr:hover > .warning,
	[data-theme="dark"] .table-hover > tbody > tr.warning:hover > th {
		background-color: #e08e0b;
	}

	[data-theme="dark"] .table > thead > tr > td.danger,
	[data-theme="dark"] .table > tbody > tr > td.danger,
	[data-theme="dark"] .table > tfoot > tr > td.danger,
	[data-theme="dark"] .table > thead > tr > th.danger,
	[data-theme="dark"] .table > tbody > tr > th.danger,
	[data-theme="dark"] .table > tfoot > tr > th.danger,
	[data-theme="dark"] .table > thead > tr.danger > td,
	[data-theme="dark"] .table > tbody > tr.danger > td,
	[data-theme="dark"] .table > tfoot > tr.danger > td,
	[data-theme="dark"] .table > thead > tr.danger > th,
	[data-theme="dark"] .table > tbody > tr.danger > th,
	[data-theme="dark"] .table > tfoot > tr.danger > th {
		background-color: #e74c3c;
	}

	[data-theme="dark"] .table-hover > tbody > tr > td.danger:hover,
	[data-theme="dark"] .table-hover > tbody > tr > th.danger:hover,
	[data-theme="dark"] .table-hover > tbody > tr.danger:hover > td,
	[data-theme="dark"] .table-hover > tbody > tr:hover > .danger,
	[data-theme="dark"] .table-hover > tbody > tr.danger:hover > th {
		background-color: #e43725;
	}

	[data-theme="dark"] .btn:hover,
	[data-theme="dark"] .btn:focus,
	[data-theme="dark"] .btn.focus {
		color: #ffffff;
		text-decoration: none;
	}

	[data-theme="dark"] .btn:active,
	[data-theme="dark"] .btn.active {
		background-image: none;
		outline: 0;
		box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	}

	[data-theme="dark"] .btn.disabled,
	[data-theme="dark"] .btn[disabled],
	[data-theme="dark"] fieldset[disabled] .btn {
		cursor: not-allowed;
		filter: alpha(opacity=65);
		opacity: 0.65;
		box-shadow: none;
	}

	[data-theme="dark"] a.btn.disabled,
	[data-theme="dark"] fieldset[disabled] a.btn {
		pointer-events: none;
	}

	[data-theme="dark"] .btn-default {
		color: #ffffff;
		background-color: #464545;
		border-color: #464545;
	}

		[data-theme="dark"] .btn-default:focus,
		[data-theme="dark"] .btn-default.focus {
			color: #ffffff;
			background-color: #2c2c2c;
			border-color: #060606;
		}

		[data-theme="dark"] .btn-default:hover {
			color: #ffffff;
			background-color: #2c2c2c;
			border-color: #272727;
		}

		[data-theme="dark"] .btn-default:active,
		[data-theme="dark"] .btn-default.active,
		[data-theme="dark"] .open > .dropdown-toggle.btn-default {
			color: #ffffff;
			background-color: #2c2c2c;
			background-image: none;
			border-color: #272727;
		}

			[data-theme="dark"] .btn-default:active:hover,
			[data-theme="dark"] .btn-default.active:hover,
			[data-theme="dark"] .open > .dropdown-toggle.btn-default:hover,
			[data-theme="dark"] .btn-default:active:focus,
			[data-theme="dark"] .btn-default.active:focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-default:focus,
			[data-theme="dark"] .btn-default:active.focus,
			[data-theme="dark"] .btn-default.active.focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-default.focus {
				color: #ffffff;
				background-color: #1a1a1a;
				border-color: #060606;
			}

		[data-theme="dark"] .btn-default.disabled:hover,
		[data-theme="dark"] .btn-default[disabled]:hover,
		[data-theme="dark"] fieldset[disabled] .btn-default:hover,
		[data-theme="dark"] .btn-default.disabled:focus,
		[data-theme="dark"] .btn-default[disabled]:focus,
		[data-theme="dark"] fieldset[disabled] .btn-default:focus,
		[data-theme="dark"] .btn-default.disabled.focus,
		[data-theme="dark"] .btn-default[disabled].focus,
		[data-theme="dark"] fieldset[disabled] .btn-default.focus {
			background-color: #464545;
			border-color: #464545;
		}

		[data-theme="dark"] .btn-default .badge {
			color: #464545;
			background-color: #ffffff;
		}

	[data-theme="dark"] .btn-primary {
		color: #ffffff;
		background-color: #375a7f;
		border-color: #375a7f;
	}

		[data-theme="dark"] .btn-primary:focus,
		[data-theme="dark"] .btn-primary.focus {
			color: #ffffff;
			background-color: #28415b;
			border-color: #101b26;
		}

		[data-theme="dark"] .btn-primary:hover {
			color: #ffffff;
			background-color: #28415b;
			border-color: #253c54;
		}

		[data-theme="dark"] .btn-primary:active,
		[data-theme="dark"] .btn-primary.active,
		[data-theme="dark"] .open > .dropdown-toggle.btn-primary {
			color: #ffffff;
			background-color: #28415b;
			background-image: none;
			border-color: #253c54;
		}

			[data-theme="dark"] .btn-primary:active:hover,
			[data-theme="dark"] .btn-primary.active:hover,
			[data-theme="dark"] .open > .dropdown-toggle.btn-primary:hover,
			[data-theme="dark"] .btn-primary:active:focus,
			[data-theme="dark"] .btn-primary.active:focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-primary:focus,
			[data-theme="dark"] .btn-primary:active.focus,
			[data-theme="dark"] .btn-primary.active.focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-primary.focus {
				color: #ffffff;
				background-color: #1d2f43;
				border-color: #101b26;
			}

		[data-theme="dark"] .btn-primary.disabled:hover,
		[data-theme="dark"] .btn-primary[disabled]:hover,
		[data-theme="dark"] fieldset[disabled] .btn-primary:hover,
		[data-theme="dark"] .btn-primary.disabled:focus,
		[data-theme="dark"] .btn-primary[disabled]:focus,
		[data-theme="dark"] fieldset[disabled] .btn-primary:focus,
		[data-theme="dark"] .btn-primary.disabled.focus,
		[data-theme="dark"] .btn-primary[disabled].focus,
		[data-theme="dark"] fieldset[disabled] .btn-primary.focus {
			background-color: #375a7f;
			border-color: #375a7f;
		}

		[data-theme="dark"] .btn-primary .badge {
			color: #375a7f;
			background-color: #ffffff;
		}

	[data-theme="dark"] .btn-success {
		color: #ffffff;
		background-color: #00bc8c;
		border-color: #00bc8c;
	}

		[data-theme="dark"] .btn-success:focus,
		[data-theme="dark"] .btn-success.focus {
			color: #ffffff;
			background-color: #008966;
			border-color: #003d2d;
		}

		[data-theme="dark"] .btn-success:hover {
			color: #ffffff;
			background-color: #008966;
			border-color: #007f5e;
		}

		[data-theme="dark"] .btn-success:active,
		[data-theme="dark"] .btn-success.active,
		[data-theme="dark"] .open > .dropdown-toggle.btn-success {
			color: #ffffff;
			background-color: #008966;
			background-image: none;
			border-color: #007f5e;
		}

			[data-theme="dark"] .btn-success:active:hover,
			[data-theme="dark"] .btn-success.active:hover,
			[data-theme="dark"] .open > .dropdown-toggle.btn-success:hover,
			[data-theme="dark"] .btn-success:active:focus,
			[data-theme="dark"] .btn-success.active:focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-success:focus,
			[data-theme="dark"] .btn-success:active.focus,
			[data-theme="dark"] .btn-success.active.focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-success.focus {
				color: #ffffff;
				background-color: #00654b;
				border-color: #003d2d;
			}

		[data-theme="dark"] .btn-success.disabled:hover,
		[data-theme="dark"] .btn-success[disabled]:hover,
		[data-theme="dark"] fieldset[disabled] .btn-success:hover,
		[data-theme="dark"] .btn-success.disabled:focus,
		[data-theme="dark"] .btn-success[disabled]:focus,
		[data-theme="dark"] fieldset[disabled] .btn-success:focus,
		[data-theme="dark"] .btn-success.disabled.focus,
		[data-theme="dark"] .btn-success[disabled].focus,
		[data-theme="dark"] fieldset[disabled] .btn-success.focus {
			background-color: #00bc8c;
			border-color: #00bc8c;
		}

		[data-theme="dark"] .btn-success .badge {
			color: #00bc8c;
			background-color: #ffffff;
		}

	[data-theme="dark"] .btn-info {
		color: #ffffff;
		background-color: #3498db;
		border-color: #3498db;
	}

		[data-theme="dark"] .btn-info:focus,
		[data-theme="dark"] .btn-info.focus {
			color: #ffffff;
			background-color: #217dbb;
			border-color: #16527a;
		}

		[data-theme="dark"] .btn-info:hover {
			color: #ffffff;
			background-color: #217dbb;
			border-color: #2077b2;
		}

		[data-theme="dark"] .btn-info:active,
		[data-theme="dark"] .btn-info.active,
		[data-theme="dark"] .open > .dropdown-toggle.btn-info {
			color: #ffffff;
			background-color: #217dbb;
			background-image: none;
			border-color: #2077b2;
		}

			[data-theme="dark"] .btn-info:active:hover,
			[data-theme="dark"] .btn-info.active:hover,
			[data-theme="dark"] .open > .dropdown-toggle.btn-info:hover,
			[data-theme="dark"] .btn-info:active:focus,
			[data-theme="dark"] .btn-info.active:focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-info:focus,
			[data-theme="dark"] .btn-info:active.focus,
			[data-theme="dark"] .btn-info.active.focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-info.focus {
				color: #ffffff;
				background-color: #1c699d;
				border-color: #16527a;
			}

		[data-theme="dark"] .btn-info.disabled:hover,
		[data-theme="dark"] .btn-info[disabled]:hover,
		[data-theme="dark"] fieldset[disabled] .btn-info:hover,
		[data-theme="dark"] .btn-info.disabled:focus,
		[data-theme="dark"] .btn-info[disabled]:focus,
		[data-theme="dark"] fieldset[disabled] .btn-info:focus,
		[data-theme="dark"] .btn-info.disabled.focus,
		[data-theme="dark"] .btn-info[disabled].focus,
		[data-theme="dark"] fieldset[disabled] .btn-info.focus {
			background-color: #3498db;
			border-color: #3498db;
		}

		[data-theme="dark"] .btn-info .badge {
			color: #3498db;
			background-color: #ffffff;
		}

	[data-theme="dark"] .btn-warning {
		color: #ffffff;
		background-color: #f39c12;
		border-color: #f39c12;
	}

		[data-theme="dark"] .btn-warning:focus,
		[data-theme="dark"] .btn-warning.focus {
			color: #ffffff;
			background-color: #c87f0a;
			border-color: #7f5006;
		}

		[data-theme="dark"] .btn-warning:hover {
			color: #ffffff;
			background-color: #c87f0a;
			border-color: #be780a;
		}

		[data-theme="dark"] .btn-warning:active,
		[data-theme="dark"] .btn-warning.active,
		[data-theme="dark"] .open > .dropdown-toggle.btn-warning {
			color: #ffffff;
			background-color: #c87f0a;
			background-image: none;
			border-color: #be780a;
		}

			[data-theme="dark"] .btn-warning:active:hover,
			[data-theme="dark"] .btn-warning.active:hover,
			[data-theme="dark"] .open > .dropdown-toggle.btn-warning:hover,
			[data-theme="dark"] .btn-warning:active:focus,
			[data-theme="dark"] .btn-warning.active:focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-warning:focus,
			[data-theme="dark"] .btn-warning:active.focus,
			[data-theme="dark"] .btn-warning.active.focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-warning.focus {
				color: #ffffff;
				background-color: #a66908;
				border-color: #7f5006;
			}

		[data-theme="dark"] .btn-warning.disabled:hover,
		[data-theme="dark"] .btn-warning[disabled]:hover,
		[data-theme="dark"] fieldset[disabled] .btn-warning:hover,
		[data-theme="dark"] .btn-warning.disabled:focus,
		[data-theme="dark"] .btn-warning[disabled]:focus,
		[data-theme="dark"] fieldset[disabled] .btn-warning:focus,
		[data-theme="dark"] .btn-warning.disabled.focus,
		[data-theme="dark"] .btn-warning[disabled].focus,
		[data-theme="dark"] fieldset[disabled] .btn-warning.focus {
			background-color: #f39c12;
			border-color: #f39c12;
		}

		[data-theme="dark"] .btn-warning .badge {
			color: #f39c12;
			background-color: #ffffff;
		}

	[data-theme="dark"] .btn-danger {
		color: #ffffff;
		background-color: #e74c3c;
		border-color: #e74c3c;
	}

		[data-theme="dark"] .btn-danger:focus,
		[data-theme="dark"] .btn-danger.focus {
			color: #ffffff;
			background-color: #d62c1a;
			border-color: #921e12;
		}

		[data-theme="dark"] .btn-danger:hover {
			color: #ffffff;
			background-color: #d62c1a;
			border-color: #cd2a19;
		}

		[data-theme="dark"] .btn-danger:active,
		[data-theme="dark"] .btn-danger.active,
		[data-theme="dark"] .open > .dropdown-toggle.btn-danger {
			color: #ffffff;
			background-color: #d62c1a;
			background-image: none;
			border-color: #cd2a19;
		}

			[data-theme="dark"] .btn-danger:active:hover,
			[data-theme="dark"] .btn-danger.active:hover,
			[data-theme="dark"] .open > .dropdown-toggle.btn-danger:hover,
			[data-theme="dark"] .btn-danger:active:focus,
			[data-theme="dark"] .btn-danger.active:focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-danger:focus,
			[data-theme="dark"] .btn-danger:active.focus,
			[data-theme="dark"] .btn-danger.active.focus,
			[data-theme="dark"] .open > .dropdown-toggle.btn-danger.focus {
				color: #ffffff;
				background-color: #b62516;
				border-color: #921e12;
			}

		[data-theme="dark"] .btn-danger.disabled:hover,
		[data-theme="dark"] .btn-danger[disabled]:hover,
		[data-theme="dark"] fieldset[disabled] .btn-danger:hover,
		[data-theme="dark"] .btn-danger.disabled:focus,
		[data-theme="dark"] .btn-danger[disabled]:focus,
		[data-theme="dark"] fieldset[disabled] .btn-danger:focus,
		[data-theme="dark"] .btn-danger.disabled.focus,
		[data-theme="dark"] .btn-danger[disabled].focus,
		[data-theme="dark"] fieldset[disabled] .btn-danger.focus {
			background-color: #e74c3c;
			border-color: #e74c3c;
		}

		[data-theme="dark"] .btn-danger .badge {
			color: #e74c3c;
			background-color: #ffffff;
		}

	[data-theme="dark"] .btn-link {
		font-weight: 400;
	}

		[data-theme="dark"] .btn-link,
		[data-theme="dark"] .btn-link:active,
		[data-theme="dark"] .btn-link.active,
		[data-theme="dark"] .btn-link[disabled],
		[data-theme="dark"] fieldset[disabled] .btn-link {
			background-color: transparent;
			box-shadow: none;
		}

			[data-theme="dark"] .btn-link,
			[data-theme="dark"] .btn-link:hover,
			[data-theme="dark"] .btn-link:focus,
			[data-theme="dark"] .btn-link:active {
				border-color: transparent;
			}

				[data-theme="dark"] .btn-link:hover,
				[data-theme="dark"] .btn-link:focus {
					text-decoration: underline;
					background-color: transparent;
				}

				[data-theme="dark"] .btn-link[disabled]:hover,
				[data-theme="dark"] fieldset[disabled] .btn-link:hover,
				[data-theme="dark"] .btn-link[disabled]:focus,
				[data-theme="dark"] fieldset[disabled] .btn-link:focus {
					color: #999999;
					text-decoration: none;
				}

	[data-theme="dark"] .nav-tabs > li > a {
		background-color: #303030;
		color: white;
	}

	[data-theme="dark"] .nav-tabs > li.active > a,
	[data-theme="dark"] .nav-tabs > li.active > a:focus,
	[data-theme="dark"] .nav-tabs > li.active > a:hover {
		background-color: #ad312d;
		color: #fff;
		border: 1px solid #832d23;
	}

	[data-theme="dark"] span {
		color: white;
	}

	[data-theme="dark"] input {
		background-color: black;
		color: white;
	}

	[data-theme="dark"] .nav > li > a:hover {
		background-color: #77787a;
	}

	[data-theme="dark"] .lic_selected {
		background-color: #998e0c !important;
	}

	[data-theme="dark"] .form-control:focus {
		background-color: black;
		color: white;
	}

	[data-theme="dark"] .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
		background-color: transparent;
		color: unset;
	}

	[data-theme="dark"] .dropdown-menu {
		background-color:black;
		color:white;
	}

	[data-theme="dark"] .form-control {
		background-color: black;
		color: white;
	}

	[data-theme="dark"] .dropdown-item {
		color: white;
		background-color: black;
	}

	[data-theme="dark"] .dropdown-item:focus, .dropdown-item:hover {
		background-color: gray !important;
	}
	[data-theme="dark"] .copyc {
		background-color: #111;
	}
	[data-theme="dark"] .form-control:disabled, .form-control[readonly] {
		background-color: gray;
	}
	[data-theme="dark"] .table {
		color:white;
	}
	[data-theme="dark"] .warning {
		color: red;
	}

	[data-theme="dark"] .livewarning {
		color: #fcaa12;
	}

	[data-theme="dark"] #windows_docker_build_agent_iframe {
		background-color: gray;
		font-style: oblique;
		font-size: xx-large;
		padding: 20px;
	}

	[data-theme="dark"] #productdetaildiv {
		background-color: #111 !important
	}

	[data-theme="dark"] .productRC  {
		color: #7900d1 !important
	}

